description

# ObjectStore class Null safety

Annotations
  - @Unstable()
  - @Native("IDBObjectStore")

## Properties

autoIncrement → bool?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
indexNames → List<String>?
  @Creates('DomStringList'), @Returns('DomStringList'), read-only
keyPath → Object?
  @annotation_Creates_SerializedScriptValue, read-only
name ↔ String?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
transaction → Transaction?
  read-only

## Methods

add(dynamic value, [dynamic key]) → Future
clear() → Future
count([dynamic key_OR_range]) → Future<int>
createIndex(String name, dynamic keyPath, {bool? unique, bool? multiEntry}) → Index
delete(dynamic key_OR_keyRange) → Future
deleteIndex(String name) → void
getAll(Object? query, [int? count]) → Request
getAllKeys(Object? query, [int? count]) → Request
getKey(Object key) → Request
getObject(dynamic key) → Future
index(String name) → Index
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
openCursor({dynamic key, KeyRange? range, String? direction, bool? autoAdvance}) → Stream<CursorWithValue>
  Creates a stream of cursors over the records in this object store. [...]
openKeyCursor(Object? range, [String? direction]) → Request
put(dynamic value, [dynamic key]) → Future
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited